Page MenuHomePhabricator

References take up more space with new print styles than existing print style
Closed, ResolvedPublic1 Story Points

Description

Problem

after applying new print styles to wikipedia articles with large reference sections, the number of pages are increasing.

Reducing the number of pages is one of our goals for new print styles.

Solution

  1. Reduce paddings between references UL

Spec

current

.vector-experimental-print-styles ol li, .vector-experimental-print-styles ul li {
padding: 5px 0px;

}

change it to

.vector-experimental-print-styles ol li, .vector-experimental-print-styles ul li {
padding: 2px 0px;

}

Related Objects

StatusAssignedTask
OpenJKatzWMF
OpenNone
DuplicateNone
OpenJKatzWMF
OpenNone
OpenNone
Resolvedpmiazga
InvalidNone
OpenNone
Resolvedovasileva
InvalidNone
Resolvedphuedx
OpenNone
InvalidNone
InvalidNone
OpenNone
DuplicateNone
ResolvedNirzar
ResolvedNirzar
OpenNone
Declinedmobrovac
Stalled Jdlrobson
DeclinedNone
StalledNirzar
ResolvedNirzar
OpenNirzar
ResolvedNirzar
Resolvedovasileva

Event Timeline

Nirzar created this task.Jul 31 2017, 6:56 PM
Nirzar renamed this task from Re-do the paddings for references section in new print styles to References take up more space with new print styles than existing print style.
Nirzar updated the task description. (Show Details)Aug 1 2017, 4:54 PM
MBinder_WMF set the point value for this task to 2.Aug 1 2017, 4:55 PM
Nirzar updated the task description. (Show Details)Aug 1 2017, 5:01 PM
phuedx added a comment.Aug 1 2017, 5:05 PM

T172144#3489829 affects the estimate, right?

Nirzar added a comment.Aug 2 2017, 9:37 PM

affects the estimate, right?

It should

It is saying the room no longer exists 😕 It seems like a 0.5 or 1 at much.

phuedx changed the point value for this task from 2 to 1.Aug 3 2017, 10:43 AM

Boo! I'm going to be bold

Change 370105 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Padding tweak for all lists

https://gerrit.wikimedia.org/r/370105

patch submitted. @Nirzar you do realise this changes ALL lists right? Not just references.. the phabricator title is a little misleading about this.

Patch is +1ed pending answer from Nirzar for https://phabricator.wikimedia.org/T172144#3499117

@Jdlrobson, @Nirzar - we should probably add some QA cases for this regarding to lists as well as references.

Nirzar added a comment.Aug 9 2017, 3:54 PM

references only

Nirzar added a comment.Aug 9 2017, 4:08 PM

If it's difficult to figure out what references are, we can do this for all lists

I'm skipping QA as I believe there is a QA task for all the print styles.

Per https://phabricator.wikimedia.org/T172144#3510402 we should ensure that those QA cases are updated before signing off!

Change 370105 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Padding tweak for all lists

https://gerrit.wikimedia.org/r/370105

Nirzar closed this task as Resolved.Aug 11 2017, 3:25 PM

Macro votecat: looks  good